Apache log4cxx: InetAddress Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InetAddress Class Reference

Inherits ObjectImpl.

List of all members.

## Public Member Functions
| InetAddress (const LogString &hostName, const LogString &hostAddr)
LogString | getHostAddress () const
| Returns the IP address string "%d.%d.%d.%d".
LogString | getHostName () const
| Gets the host name for this IP address.
LogString | toString () const
| Converts this IP address to a String.
## Static Public Member Functions
static InetAddressList | getAllByName (const LogString &host)
| Determines all the IP addresses of a host, given the host's name.
static InetAddressPtr | getByName (const LogString &host)
| Determines the IP address of a host, given the host's name.
static InetAddressPtr | getLocalHost ()
| Returns the local host.
static InetAddressPtr | anyAddress ()
| Returns an InetAddress which can be used as any address, for example when listening on a port from any remote addresss.

## Constructor & Destructor Documentation

InetAddress | ( | const LogString & | hostName,
|  | const LogString & | hostAddr
| ) |

## Member Function Documentation

static InetAddressPtr anyAddress | ( |  | ) | `[static]`

| Returns an InetAddress which can be used as any address, for example when listening on a port from any remote addresss.

static InetAddressList getAllByName | ( | const LogString & | host | ) | `[static]`

| Determines all the IP addresses of a host, given the host's name.

static InetAddressPtr getByName | ( | const LogString & | host | ) | `[static]`

| Determines the IP address of a host, given the host's name.

LogString getHostAddress | ( |  | ) | const

| Returns the IP address string "%d.%d.%d.%d".

LogString getHostName | ( |  | ) | const

| Gets the host name for this IP address.

static InetAddressPtr getLocalHost | ( |  | ) | `[static]`

| Returns the local host.

LogString toString | ( |  | ) | const

| Converts this IP address to a String.

The documentation for this class was generated from the following file:

- inetaddress.h